org.apache.geode.modules.gatewaydelta

## Class GatewayDeltaEventApplicationCacheListener

- java.lang.Object
- - org.apache.geode.cache.util.CacheListenerAdapter<java.lang.String,GatewayDeltaEvent>
  - - org.apache.geode.modules.gatewaydelta.GatewayDeltaEventApplicationCacheListener

- All Implemented Interfaces:
    CacheCallback, CacheListener<java.lang.String,GatewayDeltaEvent>, Declarable

      public class GatewayDeltaEventApplicationCacheListener
      extends CacheListenerAdapter<java.lang.String,GatewayDeltaEvent>
      implements Declarable

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GatewayDeltaEventApplicationCacheListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `afterCreate(EntryEvent<java.lang.String,GatewayDeltaEvent> event)` Handles the event of new key being added to a region.
    `void` | `init(java.util.Properties p)` Initializes a user-defined object using the given properties.

    - ### Methods inherited from class org.apache.geode.cache.util.CacheListenerAdapter

      `afterDestroy, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, afterUpdate, close`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.geode.cache.Declarable

      `initialize`

- - ### Constructor Detail

    - #### GatewayDeltaEventApplicationCacheListener

          public GatewayDeltaEventApplicationCacheListener()

  - ### Method Detail

    - #### afterCreate

          public void afterCreate(EntryEvent<java.lang.String,GatewayDeltaEvent> event)

      Description copied from interface: `CacheListener`
      Handles the event of new key being added to a region. The entry did not previously exist in this region in the local cache (even with a null value).
      Specified by:
        `afterCreate` in interface `CacheListener<java.lang.String,GatewayDeltaEvent>`
      Overrides:
        `afterCreate` in class `CacheListenerAdapter<java.lang.String,GatewayDeltaEvent>`
      Parameters:
        `event` - the EntryEvent
      See Also:
        `Region.create(Object, Object)`, `Region.put(Object, Object)`, `Region.get(Object)`

    - #### init

          public void init(java.util.Properties p)

      Description copied from interface: `Declarable`
      Initializes a user-defined object using the given properties. Note that any uncaught exception thrown by this method will cause the `Cache` initialization to fail.
      Specified by:
        `init` in interface `Declarable`
      Parameters:
        `p` - Contains the parameters declared in the declarative xml file.